%global glib2_version 2.75.0
%global gtk4_version  4.11.0
%global commit 61846c127b86e00afe975a1181d71d2ad2ebbce6
%global shortcommit 61846c12

Name:           libmks
Version:        0.1.1
Release:        %autorelease
Summary:        Mouse, Keyboard, and Screen to QEMU
License:        GPL-3.0-only
URL:            https://gitlab.gnome.org/chergert/libmks
Source0:        https://gitlab.gnome.org/chergert/%{name}/-/archive/%{commit}/%{name}-%{shortcommit}.tar.gz 

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(cairo-gobject)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gio-unix-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gio-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:  pkgconfig(gobject-introspection-1.0)
Requires: glib2%{?_isa} >= %{glib2_version}
Requires: gtk4%{?_isa} >= %{gtk4_version}
%description
This library provides a "Mouse, Keyboard, and Screen" to QEMU using the
D-Bus device support in QEMU and GTK 4.

%package devel
Summary: Development files for libmks
Requires: libmks%{?_isa} = %{version}-%{release}

%description devel
This package contains the libraries and header files that are needed
for writing applications using libmks.

%prep
%autosetup -n libmks-%{commit}

%build
%meson -Dinstall-tools=true -Ddocs=false -Dintrospection=disabled -Dvapi=false
%meson_build

%install
%meson_install

%files
%license COPYING
%doc README.md
%{_bindir}/mks
%{_bindir}/mks-connect
%{_libdir}/libmks-1.so.0
%{_libdir}/libmks-1.so.0.1.1

%files devel
%{_libdir}/libmks-1.so
%{_includedir}/*
%{_libdir}/pkgconfig/*	

%changelog
%autochangelog
